/*
 * Aphorism Generator.  
 * Reads in a long list of aphorisms from a file.
 * Asks the user if they want an aphorism.
 * If they do, a random aphorism is slelected from the list.
 */
package arrayreader;

import java.util.ArrayList;
import java.util.Scanner;

public class Aphorisms {

    String[] aphorisms;

    
    public void doStuff() {
        
        System.out.println("Fun with Aphorisms");
        // add your code here
        int choice = (int) (aphorisms.length*Math.random());
        System.out.println("choice = " + choice);
        System.out.println(aphorisms[choice]);
        
    }
    
    /** Creates a new Aphorisms object. Reads a list of aphorisms from 
     * a file, storing in an ArrayList.
     */
    public Aphorisms() {
        ArrayList<String> list = new ArrayList<>();
        MyReader reader = new MyReader("src\\arrayreader\\aphorisms.txt");
        while (reader.hasMoreData()) {
            list.add(reader.giveMeTheNextLine());
        }
        reader.close();
        aphorisms = new String[list.size()];
        list.toArray(aphorisms);
    }

   
}
